# tcomb-react-bootstrap

This project aims to add a type checking layer to
the awesome library [react-bootstrap](https://github.com/react-bootstrap/react-bootstrap) mantaining identical APIs.
You can opt-in during the development and opt-out in production with just a `require`.
Beware, checkings are *very* strict at the moment.

## Example

    /** @jsx React.DOM */
    var Alert = require('tcomb-react-bootstrap/Alert');

    var good = (
      <Alert bsStyle="warning">
        <strong>Holy guacamole!</strong> Best check yo self, you re not looking too good.
      </Alert>
    ); // => ok!

    var bad = (
      <Alert bsStyle="warn"> // <-- typo, should be "warning"
        <strong>Holy guacamole!</strong> Best check yo self, you re not looking too good.
      </Alert>
    ); // => fail! debugger kicks in

## Setup

    npm install tcomb-react-bootstrap

## Contribution

If you do have a contribution for the package feel free to put up a Pull Request or open an Issue.

## License (MIT)

The MIT License (MIT)

Copyright (c) 2014 Giulio Canti

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.